> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export the connector settings.

> Export the connector settings.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /export
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /export:
    post:
      tags:
        - export
      summary: Export the connector settings.
      description: Export the connector settings.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/export_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/export_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    export_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: The Id of the workspace to export. If unspecified, it's default.
        ConnectorId#:
          type: string
          description: >-
            The Id of the connector to export. If unspecified, all connectors
            will be exported. If the connector doesn't exist in the specified
            workspace, an error will be thrown. 
        FlowAPI#:
          type: string
          description: 'The Id of the flow API. '
        IncludeProfile:
          type: string
          description: >-
            Whether profile related settings should be included in the exported
            arcflow.
        FlowPassword:
          type: string
          description: The password for encrypting sensitive values.
        GlobalSettings:
          type: string
          description: >-
            The global settings that should be included in the export. One or
            more of the following values may be provided using a comma-separated
            string, or the special value 'ALL' can be used to export all global
            settings. Values: Partners, Documents, Users, Roles, Certificates,
            Connections, Vaults, Reports, Alerts, Advanced, AdminAPI, SSO.
        ProfileSettings:
          type: string
          description: >-
            The profiles that should be included in the export. One or more of
            the following values may be provided using a comma-separated string.
            The special value 'MATCHING' can be used to export the matching
            profiles for the connectors included in the export. Values: AS2,
            AS4, GISB, RosettaNet, FTPServer, SFTPServer, HL7MLLP, OFTP.
    export_output:
      type: array
      items:
        type: object
        properties:
          Arcflow:
            type: string
            description: The base64 encoded content of the exported arcflow.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````